summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-13 00:24:59 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:24:59 +0200
commit90bb679d73bfe6bac939c7a66e56b3d6ef60ac0c (patch)
tree6b4a392366713f783234707c19f307ee41e8b612 /development
parent6c856f5259e8792837174b4c265650ba304b0d21 (diff)
downloadslackbuilds-90bb679d73bfe6bac939c7a66e56b3d6ef60ac0c.tar.gz
slackbuilds-90bb679d73bfe6bac939c7a66e56b3d6ef60ac0c.tar.xz
development/ming: Updated for version 0.4.2
Diffstat (limited to 'development')
-rw-r--r--development/ming/ming.SlackBuild10
-rw-r--r--development/ming/ming.info2
2 files changed, 9 insertions, 3 deletions
diff --git a/development/ming/ming.SlackBuild b/development/ming/ming.SlackBuild
index 0b28ee6d6c..b87f0f264c 100644
--- a/development/ming/ming.SlackBuild
+++ b/development/ming/ming.SlackBuild
@@ -35,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -53,13 +56,14 @@ chown -R root:root .
chmod -R u+w,go+r-w,a-s .
# Fix a misplaced \" in the php_ext Makefile.in that prevents installation
-patch -p1 < $CWD/php_ext-Makefile.in.patch
+patch -p1 < $CWD/php_ext-Makefile.in.patch
# static library is activated because the perl extension needs it
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -95,7 +99,7 @@ rm -rf $PKG/usr/share
find $PKG -name "$i" -exec rm -rf {} \;
done
# Remove empty directory
- rmdir --parents $PKG/usr/lib/perl5/5.10.0/i486-linux-thread-multi 2>/dev/null || true
+ rmdir --parents $PKG/usr/lib$LIBDIRSUFFIX/perl5/5.10.0/i486-linux-thread-multi 2>/dev/null || true
)
( cd $PKG/usr/man || exit 1
@@ -112,4 +116,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ming/ming.info b/development/ming/ming.info
index 99634e3358..8029219337 100644
--- a/development/ming/ming.info
+++ b/development/ming/ming.info
@@ -2,7 +2,9 @@ PRGNAM="ming"
VERSION="0.4.2"
HOMEPAGE="http://www.libming.org"
DOWNLOAD="http://downloads.sourceforge.net/ming/ming-0.4.2.tar.bz2"
+DOWNLOAD_x86_64=""
MD5SUM="41f091dee0384a432aa05aca1ec7699b"
+MD5SUM_x86_64=""
MAINTAINER="ppr:kut"
EMAIL="pprkut@liwjatan.at"
APPROVED="rworkman"